package com.ruoyi.inventory.domain.dto;

import com.ruoyi.common.annotation.Excel;
import lombok.Data;

@Data
public class AssetInventoryStatementDetail {
    /** 资产分类 */
    @Excel(name = "资产分类")
    private String assetCategory;

    /** 资产编码 */
    @Excel(name = "资产编码")
    private String assetNumber;

    /** 资产名称 */
    @Excel(name = "资产名称", width = 24)
    private String assetName;

    /** 计量单位 */
    @Excel(name = "计量单位")
    private String units;

    /** 资产数量 */
    @Excel(name = "账面数量")
    private Integer quantity;

    /** 盘点数量 */
    @Excel(name = "实盘数量")
    private Integer inventoryQuantity;

    /** 差异数量 */
    @Excel(name = "差异数量")
    private String differenceQuantity;

    /** 所在位置 */
    @Excel(name = "所在位置", width = 30)
    private String assetLocation;

    /** 盘点状态 */
    @Excel(name = "盘点状态")
    private String inventoryStatus;

    /** 盘点结果 */
    @Excel(name = "盘点结果")
    private String inventoryResult;

    /**原值*/
    private Double originalValue;

    /** 备注 */
    @Excel(name = "备注")
    private String remark;
}
