package com.ruoyi.inventory.domain.dto;

import com.ruoyi.common.annotation.Excel;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.List;

/**
 * 部门资产损耗数据对象
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
public class DepAssetLossDto {
    /** 资产名称 */
    @Excel(name = "资产名称")
    private String assetName;

    /** 位置 */
    @Excel(name = "位置")
    private String location;

    /** 类别 */
    @Excel(name = "类别")
    private String category;

    /** 计量单位 */
    @Excel(name = "计量单位")
    private String units;

    /** 账面数量变化 */
    @Excel(name = "账面数量变化")
    private int nowQuantity;

    /** 实点数量变化 */
    @Excel(name = "实点数量变化")
    private int invQuantity;

    /** 损耗数量变化 */
    @Excel(name = "损耗数量变化")
    private int lossQuantity;

    /** 损耗值变化 */
    @Excel(name = "损耗值变化")
    private double lossVal;
}
