package com.ruoyi.inventory.domain.dto;

import com.ruoyi.common.annotation.Excel;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.List;

@NoArgsConstructor
@AllArgsConstructor
@Data
public class DepAssetLossResultDto {

    /**
     * 此次盘点计算出的损耗总值
     */
//    @Excel(name = "损耗总值")
//    private double totalLossVal;

    /**
     * 最近一次盘点日期
     */
    @Excel(name = "最近一次盘点日期")
    private String lastFirstDate;

    /**
     * 前前次盘点日期
     */
    @Excel(name = "前前次盘点日期")
    private String lastSecondDate;

    /**
     * 盘点部门名称
     */
    @Excel(name = "部门名称")
    private String deptName;

    /**
     * 资产损耗盘点结果集
     */
    @Excel(name = "资产损耗盘点结果集")
    private List<DepAssetLossDto> compareResultList;


}
